Package org.eclipse.ui.texteditor

# Interface IDocumentProviderExtension5

All Known Implementing Classes:
  `AbstractDocumentProvider`, `FileDocumentProvider`, `ForwardingDocumentProvider`, `StorageDocumentProvider`, `TextFileDocumentProvider`, `TextFileDocumentProvider.NullProvider`

public interface IDocumentProviderExtension5
Extension interface for `IDocumentProvider`. Extends a document provider with the ability to detect a non-synchronized exception.

This interface may be implemented by clients.

Since:
  3.2
See Also:
  - `IDocumentProvider`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isNotSynchronizedException(Object element, CoreException ex)`
Tells whether the given core exception is exactly the exception which is thrown for a non-synchronized element.

## Method Details

### isNotSynchronizedException

boolean isNotSynchronizedException(Object element, CoreException ex)
Tells whether the given core exception is exactly the exception which is thrown for a non-synchronized element.

Parameters:
  `element` - the element
  `ex` - the core exception
Returns:
  `true` iff the given core exception is exactly the exception which is thrown for a non-synchronized element